package com.ximai.mes.pro.domain.task;

import com.ximai.common.annotation.Excel;
import com.ximai.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 任务合并工单对象 pro_task_workorder
 *
 * @author zht
 * @date 2024-01-23
 */
public class ProTaskWorkorder extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long taskWorkorderId;

    /**
     * 任务id
     */
    @Excel(name = "任务id")
    private Long taskId;

    /**
     * 顺序号
     */
    @Excel(name = "顺序号")
    private Long idx;

    /**
     * 生产工单ID
     */
    @Excel(name = "生产工单ID")
    private Long workorderId;

    public void setTaskWorkorderId(Long taskWorkorderId) {
        this.taskWorkorderId = taskWorkorderId;
    }

    public Long getTaskWorkorderId() {
        return taskWorkorderId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setIdx(Long idx) {
        this.idx = idx;
    }

    public Long getIdx() {
        return idx;
    }

    public void setWorkorderId(Long workorderId) {
        this.workorderId = workorderId;
    }

    public Long getWorkorderId() {
        return workorderId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("taskWorkorderId", getTaskWorkorderId())
                .append("taskId", getTaskId())
                .append("idx", getIdx())
                .append("workorderId", getWorkorderId())
                .toString();
    }
}
